Namespace
library
Image / Tag
consul:1.14
Content Digest
sha256:da6a5b7d071a84b3b150ce5a452e59e859e7d7c9d8ac141b80e65a2cb8f479c9
Details
Created

2024-03-15 23:54:02 UTC

Size

52.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.8

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:60aeec3a60ac12f63ba33495ce01db7daf3ed4c138213d85412a7fe01dbbb264 - 5.12% (2.7 MB)

[#001] sha256:48730e2cfbf8ad89e9973f43b85071ab9c0053872b5c8605d00469e66985ea12 - 0.0% (1.24 KB)

[#002] sha256:7e377e60aedbaf297801cb90aace8963a6ae2bea252727f3f8dee92e6da70e52 - 94.88% (50.1 MB)

[#003] sha256:ef2a18dc2586bc674f7c08ffa0509333eba6b951c026e3bbd84a68c1e1e53150 - 0.0% (176 Bytes)

[#004] sha256:348cf2262caf4805d55cb461339c24d0ef44367cec43dca7bab5046be6864f3f - 0.0% (153 Bytes)

[#005] sha256:ae77f4efee1d2e14be32874cec3fc4d8dd56964f9bd6d03441974acd09b4d2b6 - 0.0% (1.79 KB)


History
2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) ADD file:5990d507b1d1b3a4a63574a2ec1c9e2ca4344d30f7618e002039cd6c9693a56d in /

2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-15 23:53:51 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.8

2024-03-15 23:53:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-15 23:53:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-15 23:53:52 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-15 23:54:00 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-15 23:54:01 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-15 23:54:01 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-15 23:54:01 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-15 23:54:02 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 08:00:45 UTC

Size

54.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.8

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d078792c4f9122259f14b539315bd92cbd9490ed73e08255a08689122b143108 - 4.99% (2.7 MB)

[#001] sha256:453327c171913266299ac95c3dfe179e83470b3fb930e4ed7f2a105890317c45 - 0.0% (1.24 KB)

[#002] sha256:302f3c9d5ef385ed29eba591247cd3ed9335158cade3c4cb53340335e97742db - 95.01% (51.4 MB)

[#003] sha256:c2b0ef3dee57b38248f1a0b5049205f4f3c6470de887e58a4d8ca5fdfb8f0d28 - 0.0% (175 Bytes)

[#004] sha256:bae45ad753c9aec664fca08105367f89fab8b40f27baef42a753ec25bfd4dec5 - 0.0% (153 Bytes)

[#005] sha256:007fb0670752e4a7fd1867c3085097b1973fec42fe1fba71f442a92ac0197357 - 0.0% (1.79 KB)


History
2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) ADD file:aa1af71c6b66d2dddee4797236e3e526f70f904ab641cc0dd6b41445cfedf9b4 in /

2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 08:00:38 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.8

2024-03-16 08:00:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 08:00:38 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 08:00:38 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 08:00:44 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 08:00:44 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 08:00:45 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 08:00:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 01:08:33 UTC

Size

51.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.8

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:be5e3feadb89f4f40a3bc5997dbddd75fdc3686e938beb9d363990d92db9e4aa - 4.88% (2.51 MB)

[#001] sha256:34fe67cc34564e160d5246ea5dba9523e73d66fd42c9ec091f230ed3c61b4469 - 0.0% (1.24 KB)

[#002] sha256:f19168ef7a6092568e76bbf955bf273b4f2b0043b37bcf320e715ef17b549198 - 95.11% (49 MB)

[#003] sha256:e35e28364913c2e99365ab8f8b3f55f7fc6503854accd97592663f7b2e098dc6 - 0.0% (175 Bytes)

[#004] sha256:11805c06f3898112e32f3766843e64a614f437e2ed987fddad1ab225db47796c - 0.0% (155 Bytes)

[#005] sha256:65b9c73a8d04cf45c2abf29e987db2e867c0ab7117343e648afc493b05a44c28 - 0.0% (1.79 KB)


History
2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) ADD file:2270cb7f14826bc917baa12cd1ff166703f454ccd10ef5799d8106942bb0abe2 in /

2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 01:08:13 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.8

2024-03-16 01:08:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 01:08:14 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 01:08:16 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 01:08:26 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 01:08:28 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 01:08:30 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 01:08:30 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 01:08:30 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 01:08:31 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 01:08:31 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 01:08:32 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 01:08:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 01:08:33 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 03:05:20 UTC

Size

51.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.14.8

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:8bc1ab4b84041d57f21a792410a00820f73fda7efe08bcd2ca6245349a40299d - 5.08% (2.6 MB)

[#001] sha256:0e76524077d04cb5cf6be16fb0344ab427d25fcd1e4513b585dd36bb8961f3e1 - 0.0% (1.24 KB)

[#002] sha256:5d7c2efb5310e275f57a73bd0d79429962627e1d1aac098ef12beeb909087e99 - 94.91% (48.5 MB)

[#003] sha256:195952423b262908af805bf138dc8961de0afbf1e4f2978fdd0268357b40fb2f - 0.0% (173 Bytes)

[#004] sha256:a14d949065e6e305352408b29b2f196096476d12f5523d31549fdeba8a28e05c - 0.0% (153 Bytes)

[#005] sha256:048f69cf6c79213b9f009174653cdb6550e6dd6a3b33036f813c52c02c87aa26 - 0.0% (1.79 KB)


History
2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) ADD file:3982c510455cc0ceea8cf8dd0b50b69588e35fd4f84522cb4000582c73781672 in /

2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 03:05:12 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.8

2024-03-16 03:05:12 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 03:05:12 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 03:05:13 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 03:05:18 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 03:05:19 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 03:05:19 UTC

|1 CONSUL_VERSION=1.14.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 03:05:19 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 03:05:19 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 03:05:20 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 03:05:20 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 03:05:20 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 03:05:20 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 03:05:20 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]